complexType "MasterConfirmation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | masterConfirmationType?, masterConfirmationDate?, masterConfirmationAnnexDate?, masterConfirmationAnnexType?
</...>

Content Model Elements (4):

  masterConfirmationAnnexDate, masterConfirmationAnnexType, | masterConfirmationDate (in masterConfirmation), masterConfirmationType

All Direct / Indirect Based Elements (1):

  masterConfirmation

Known Usage Locations

- As direct type of elements (1):
  masterConfirmation

Annotation
An entity for defining the master confirmation agreement executed between the parties.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="MasterConfirmation"> <xsd:sequence> <xsd:element minOccurs="0" name="masterConfirmationType" type="MasterConfirmationType"/> <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="masterConfirmationAnnexDate" type="xsd:date"/> <xsd:element minOccurs="0" name="masterConfirmationAnnexType" type="MasterConfirmationAnnexType"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
masterConfirmationAnnexDate

  Type: | xsd:date, predefined, simple content

  The date that an annex to the master confirmation was executed between the parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmationAnnexDate" type="xsd:date"/>

masterConfirmationAnnexType

  Type: | MasterConfirmationAnnexType, simple content

  The type of master confirmation annex executed between the parties.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmationAnnexType" type="MasterConfirmationAnnexType"/>

masterConfirmationDate

  Type: | xsd:date, predefined, simple content

  The date of the confirmation executed between the parties and intended to govern all relevant transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"/>

masterConfirmationType

  Type: | MasterConfirmationType, simple content

  The type of master confirmation executed between the parties.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmationType" type="MasterConfirmationType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.